更新 Session
curl --request POST \
--url https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'zai-beta: <zai-beta>' \
--header 'zai-version: <zai-version>' \
--data '
{
"title": "<string>",
"metadata": {},
"agent": {
"tools": [
{
"type": "agent_toolset_20260601",
"default_config": {
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
},
"configs": []
}
],
"mcp_servers": [
{
"type": "url",
"name": "knowledge-base",
"url": "https://mcp.example.com/mcp"
}
]
}
}
'import requests
url = "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}"
payload = {
"title": "<string>",
"metadata": {},
"agent": {
"tools": [
{
"type": "agent_toolset_20260601",
"default_config": {
"enabled": True,
"permission_policy": { "type": "always_allow" }
},
"configs": []
}
],
"mcp_servers": [
{
"type": "url",
"name": "knowledge-base",
"url": "https://mcp.example.com/mcp"
}
]
}
}
headers = {
"zai-version": "<zai-version>",
"zai-beta": "<zai-beta>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'zai-version': '<zai-version>',
'zai-beta': '<zai-beta>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
metadata: {},
agent: {
tools: [
{
type: 'agent_toolset_20260601',
default_config: {enabled: true, permission_policy: {type: 'always_allow'}},
configs: []
}
],
mcp_servers: [{type: 'url', name: 'knowledge-base', url: 'https://mcp.example.com/mcp'}]
}
})
};
fetch('https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}")
.header("zai-version", "<zai-version>")
.header("zai-beta", "<zai-beta>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"metadata\": {},\n \"agent\": {\n \"tools\": [\n {\n \"type\": \"agent_toolset_20260601\",\n \"default_config\": {\n \"enabled\": true,\n \"permission_policy\": {\n \"type\": \"always_allow\"\n }\n },\n \"configs\": []\n }\n ],\n \"mcp_servers\": [\n {\n \"type\": \"url\",\n \"name\": \"knowledge-base\",\n \"url\": \"https://mcp.example.com/mcp\"\n }\n ]\n }\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"metadata\": {},\n \"agent\": {\n \"tools\": [\n {\n \"type\": \"agent_toolset_20260601\",\n \"default_config\": {\n \"enabled\": true,\n \"permission_policy\": {\n \"type\": \"always_allow\"\n }\n },\n \"configs\": []\n }\n ],\n \"mcp_servers\": [\n {\n \"type\": \"url\",\n \"name\": \"knowledge-base\",\n \"url\": \"https://mcp.example.com/mcp\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("zai-version", "<zai-version>")
req.Header.Add("zai-beta", "<zai-beta>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-api.bigmodel.cn/api/agent/managed/v1/sessions/{sessionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'metadata' => [
],
'agent' => [
'tools' => [
[
'type' => 'agent_toolset_20260601',
'default_config' => [
'enabled' => true,
'permission_policy' => [
'type' => 'always_allow'
]
],
'configs' => [
]
]
],
'mcp_servers' => [
[
'type' => 'url',
'name' => 'knowledge-base',
'url' => 'https://mcp.example.com/mcp'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"zai-beta: <zai-beta>",
"zai-version: <zai-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "sess_01J...",
"type": "session",
"agent": {
"id": "<string>",
"type": "agent",
"name": "<string>",
"model": {
"id": "glm-5.3",
"speed": "standard",
"effort": "max"
},
"system": "<string>",
"description": "<string>",
"tools": [
{
"type": "agent_toolset_20260601",
"default_config": {
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
},
"configs": [
{
"name": "read",
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
]
}
],
"skills": [
{
"type": "custom",
"skill_id": "<string>",
"version": "<string>"
}
],
"mcp_servers": [
{
"type": "url",
"name": "knowledge-base",
"url": "https://mcp.example.com/mcp"
}
],
"version": 1,
"multiagent": null
},
"environment_id": "<string>",
"status": "idle",
"title": "<string>",
"metadata": {},
"resources": [
{
"type": "memory_store",
"memory_store_id": "<string>",
"name": "<string>",
"description": "<string>",
"access": "read_only",
"instructions": "<string>",
"mount_path": "<string>"
}
],
"vault_ids": [
"<string>"
],
"outcome_evaluations": [
{}
],
"stats": {
"active_seconds": 123,
"duration_seconds": 123
},
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"cache_read_input_tokens": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "<string>",
"budget": null
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"details": {}
},
"request_id": "req_01J..."
}Session
更新 Session
更新 Session 的标题、元数据或 Agent 工具配置。仅允许更新接口声明的字段,已归档 Session 不可修改。点击 Try it 按钮可快速试用。
POST
/
agent
/
managed
/
v1
/
sessions
/
{sessionId}
更新 Session
Headers
Managed Agents API 协议版本,固定为 2026-05-26。
Available options:
2026-05-26 Example:
"2026-05-26"
必须包含 managed-agents-2026-05-26;可与其他 beta 标识用逗号分隔。
Example:
"managed-agents-2026-05-26"
Path Parameters
sessionId 资源标识。
Body
application/json
Response
请求成功。
Session ID。
Example:
"sess_01J..."
Available options:
session Show child attributes
Show child attributes
Available options:
idle, running, rescheduling, terminated Session 标题。
客户端自定义元数据;省略时默认为空对象。最多 16 个键,键名长度不超过 64 字符,值必须是长度不超过 512 字符的字符串。
Show child attributes
Show child attributes
- memory_store
- file
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
创建时间。
更新时间。
归档时间。
当前不支持会话级消费上限,固定为 null。
Was this page helpful?